# xxfi_envfrom

SYNOPSIS |
    #include <libmilter/mfapi.h>
    sfsistat (*xxfi_envfrom)(
    	SMFICTX * ctx,
    	char **	argv
    );
Handle the envelope FROM command.
DESCRIPTION |
Called When | xxfi_envfrom is called once at the beginning of each message, before xxfi_envrcpt.
Default Behavior | Do nothing; return SMFIS_CONTINUE.
ARGUMENTS |
Argument | Description
--- | ---
ctx | Opaque context structure.
argv | Null-terminated SMTP command arguments; argv[0] is guaranteed to be the sender address. Later arguments are the ESMTP arguments.
SPECIAL RETURN VALUES |
Return value | Description
--- | ---
SMFIS_TEMPFAIL | Reject this sender and message with a temporary error; a new sender (and hence a new message) may subsequently be specified. xxfi_abort is not called.
SMFIS_REJECT | Reject this sender and message; a new sender/message may be specified. xxfi_abort is not called.
SMFIS_DISCARD | Accept and silently discard this message. xxfi_abort is not called.
SMFIS_ACCEPT | Accept this message. xxfi_abort is not called.
NOTES | For more details on ESTMP responses, please see RFC 1869.

Copyright (c) 2000 Sendmail, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.